Bug 1302230 - Hide default OSCAP profile
Hide default OSCAP profile
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Kedar Bidarkar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 04:12 EST by Kedar Bidarkar
Modified: 2017-08-01 16:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2016-01-27 04:12:52 EST
Description of problem:

Questions) When selecting in SCAP Content - XCCDF - "Default XCCDF profile", the
result is not selected, when we change to another option, like PCI, the
result works fine. 

Explanation) This is expected behavior. The default profile may contain rules.
However stock policies (from scap-security-guide package) never have
meaningful content.

Satellite presents default profile as an option for customers that
create their own policies, that can bring meaningful default profile.

We can improve UX and hide default profile if that option is not
meaningful given the content file. 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:

No meaningful oscap default profile.

Expected results:

Should have a meaningful default profile.

Additional info:
Comment 2 Šimon Lukašík 2016-01-27 04:45:38 EST
This should be fixed in Proxy::OpenSCAP::ContentParser.extract_policies.

At that point we can tell, whether the 'default' profile is useful or not. We should perhaps implement that function (to query usefulness) in rubygem-openscap.
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:36:49 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Bryan Kearney 2017-08-01 16:33:23 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.